compl.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_COMPL(x) MSGPACK_PP_COMPL_OO((x))
#define | MSGPACK_PP_COMPL_OO(par) MSGPACK_PP_COMPL_I ## par
#define | MSGPACK_PP_COMPL_I(x) MSGPACK_PP_COMPL_ID(MSGPACK_PP_COMPL_ ## x)
#define | MSGPACK_PP_COMPL_ID(id) id
#define | MSGPACK_PP_COMPL_0 1
#define | MSGPACK_PP_COMPL_1 0

## Macro Definition Documentation

## MSGPACK_PP_COMPL

#define MSGPACK_PP_COMPL | ( |  | x | ) | MSGPACK_PP_COMPL_OO((x))

## MSGPACK_PP_COMPL_0

#define MSGPACK_PP_COMPL_0 1

## MSGPACK_PP_COMPL_1

#define MSGPACK_PP_COMPL_1 0

## MSGPACK_PP_COMPL_I

#define MSGPACK_PP_COMPL_I | ( |  | x | ) | MSGPACK_PP_COMPL_ID(MSGPACK_PP_COMPL_ ## x)

## MSGPACK_PP_COMPL_ID

#define MSGPACK_PP_COMPL_ID | ( |  | id | ) | id

## MSGPACK_PP_COMPL_OO

#define MSGPACK_PP_COMPL_OO | ( |  | par | ) | MSGPACK_PP_COMPL_I ## par